Out-of-Bounds

Affecting libxml2 package, versions <2.9.1+dfsg1-5+deb8u5

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Buffer overflow in libxml2 allows remote attackers to execute arbitrary code by leveraging an incorrect limit for port values when handling redirects.

References

CVSS Score

9.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
CVE
CVE-2017-7376
CWE
CWE-119
Snyk ID
SNYK-DEBIAN8-LIBXML2-429454
Disclosed
19 Feb, 2018
Published
19 Feb, 2018